t = .01:.01:1; %time base 0 to 1 second
f = 4;         % frequency -- 4 Hz
sin1 = sin(2*pi*t*f); % make a 4 Hz sine wave one second long
cos1 = cos(2*pi*t*f); % make a 4 Hz cosine wave one second long

figure
subplot(3,1,1); % plot sine wave
plot(t,sin1);
ylabel('Amplitude');
xlabel('Time (sec)');

subplot(3,1,2);  % plot cosine wave
plot(t,cos1);
ylabel('Amplitude');
xlabel('Time (sec)');

subplot(3,1,3);  % plot cross-correlation function
maxlags = round(length(t)/2); % allow to lag half the signal length
r = xcorr(sin1, cos1,[maxlags],'coeff'); % get cross-corr series using xcorr
plot((-maxlags:maxlags)/100,r); % plot it!
ylabel('Correlation');
xlabel('Lag (sec)');
