function [filtered_signal] = plot_filt_in_action(signal, filt, time_vals);

% Create three subplots for signal, filter, and result
figure;
subplot(2,1,1); % first row 
plot(time_vals, signal); % plot raw data in first row

filtered_signal = zeros(1,length(signal));
% create loop to do filtering
for n_point = 1:length(signal)-(length(filt))
    subplot(2,1,2);  % second row
    [AX,Y1,Y2] = plotyy(time_vals, [zeros(1,n_point) filt zeros(1,length(signal)-n_point-length(filt))], ...
                        time_vals, [zeros(1,n_point) filt.*signal(1,n_point:n_point+length(filt)-1) zeros(1,length(signal)-n_point-length(filt))]);
    set(get(AX(1),'Ylabel'),'String','Filter Coefficients');
    set(get(AX(2),'Ylabel'),'String','Convolved Waveform');
    set(AX(2),'YLimMode','manual');
    set(AX(1),'ylim',[min(filt) max(filt)]);
    set(AX(2),'ylim',[min(signal)/5 max(signal)/5]);
    set(Y2,'Color',[1 0 0]);
    xlabel('Time (\musec)') 
    subplot(2,1,1); % first row
    filtered_signal(n_point-1+(length(filt)-1)/2) = filt*signal(1,n_point:n_point+length(filt)-1)' ;
    hold off;
    plot(time_vals, signal);
    hold on;
    plot(time_vals, filtered_signal,'-r');
    pause(0.00000001);
end
